### Method

# Vte Terminal reset

#### Declaration [src]

    void
    vte_terminal_reset (
      VteTerminal* terminal,
      gboolean clear_tabstops,
      gboolean clear_history
    )

#### Description [src]

Resets as much of the terminal’s internal state as possible, discarding any unprocessed input data, resetting character attributes, cursor state, national character set state, status line, terminal modes (insert/delete), selection state, and encoding.

#### Parameters

`clear_tabstops`

  Type: `gboolean`

  Whether to reset tabstops.

`clear_history`

  Type: `gboolean`

  Whether to empty the terminal’s scrollback buffer.